Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.ui.launchConfigurations
Class JavaConnectTab

    java.lang.Object
      org.eclipse.debug.ui.AbstractLaunchConfigurationTab
          org.eclipse.jdt.internal.debug.ui.launcher.JavaLaunchConfigurationTab
              org.eclipse.jdt.debug.ui.launchConfigurations.JavaConnectTab

All Implemented Interfaces:
  EventListener, org.eclipse.jdt.internal.debug.ui.launcher.IEntriesChangedListener, ILaunchConfigurationTab, IPropertyChangeListener

public class JavaConnectTab
extends org.eclipse.jdt.internal.debug.ui.launcher.JavaLaunchConfigurationTab
implements IPropertyChangeListener

A launch configuration tab that displays and edits the project associated with a remote connection and the connector used to connect to a remote VM.

This class may be instantiated. This class is not intended to be subclassed.

Since:
  2.0

Field Summary
`protected static String` | `EMPTY_STRING`
`protected Button` | `fAllowTerminateButton`
`protected Composite` | `fArgumentComposite`
`protected Map` | `fArgumentMap`
`protected IVMConnector` | `fConnector`
`protected Combo` | `fConnectorCombo`
`protected IVMConnector[]` | `fConnectors`
`protected Map` | `fFieldEditorMap`
`protected Button` | `fProjButton`
`protected Label` | `fProjLabel`
`protected Text` | `fProjText`

Constructor Summary
`JavaConnectTab()`

Method Summary
`void` | `activated(ILaunchConfigurationWorkingCopy workingCopy)`
`protected IJavaProject` | `chooseJavaProject()` Realize a Java Project selection dialog and return the first selected project, or null if there was none.
`void` | `createControl(Composite parent)`
`void` | `deactivated(ILaunchConfigurationWorkingCopy workingCopy)`
`void` | `dispose()`
`Image` | `getImage()`
`protected IJavaProject` | `getJavaProject()` Return the IJavaProject corresponding to the project name in the project name text field, or null if the text does not match a project name.
`protected String` | `getLabel(String label)` Adds a colon to the label if required
`String` | `getName()`
`protected IVMConnector` | `getSelectedConnector()` Returns the selected connector
`protected void` | `handleConnectorComboModified()` Update the argument area to show the selected connector's arguments
`protected void` | `handleProjectButtonSelected()` Show a dialog that lets the user select a project.
`protected void` | `initializeDefaults(IJavaElement javaElement, ILaunchConfigurationWorkingCopy config)` Initialize default settings for the given Java element
`void` | `initializeFrom(ILaunchConfiguration config)`
`protected void` | `initializeHardCodedDefaults(ILaunchConfigurationWorkingCopy config)` Initialize those attributes whose default values are independent of any context.
`protected void` | `initializeName(IJavaElement javaElement, ILaunchConfigurationWorkingCopy config)` Find the first instance of a type, compilation unit, class file or project in the specified element's parental hierarchy, and use this as the default name.
`boolean` | `isValid(ILaunchConfiguration config)`
`void` | `performApply(ILaunchConfigurationWorkingCopy config)`
`void` | `propertyChange(PropertyChangeEvent event)`
`void` | `setDefaults(ILaunchConfigurationWorkingCopy config)`
`protected void` | `updateAllowTerminateFromConfig(ILaunchConfiguration config)`
`protected void` | `updateConnectionFromConfig(ILaunchConfiguration config)`
`protected void` | `updateProjectFromConfig(ILaunchConfiguration config)`

Methods inherited from class org.eclipse.jdt.internal.debug.ui.launcher.JavaLaunchConfigurationTab
`entriesChanged, getContext, initializeJavaProject`

Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab
`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createVerticalSpacer, getControl, getErrorMessage, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, isDirty, launched, setAttribute, setControl, setDirty, setErrorMessage, setLaunchConfigurationDialog, setMessage, updateLaunchConfigurationDialog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fProjLabel

    protected Label fProjLabel

### fProjText

    protected Text fProjText

### fProjButton

    protected Button fProjButton

### fAllowTerminateButton

    protected Button fAllowTerminateButton

### fArgumentMap

    protected Map fArgumentMap

### fFieldEditorMap

    protected Map fFieldEditorMap

### fArgumentComposite

    protected Composite fArgumentComposite

### fConnector

    protected IVMConnector fConnector

### fConnectorCombo

    protected Combo fConnectorCombo

### fConnectors

    protected IVMConnector[] fConnectors

### EMPTY_STRING

    protected static final String EMPTY_STRING

See Also:
  Constant Field Values

Constructor Detail

### JavaConnectTab

    public JavaConnectTab()

Method Detail

### createControl

    public void createControl(Composite parent)

  Specified by:
    `createControl` in interface `ILaunchConfigurationTab`
  See Also:
    `ILaunchConfigurationTab.createControl(Composite)`

### handleConnectorComboModified

    protected void handleConnectorComboModified()

  Update the argument area to show the selected connector's arguments

### getLabel

    protected String getLabel(String label)

  Adds a colon to the label if required

### initializeFrom

    public void initializeFrom(ILaunchConfiguration config)

  Specified by:
    `initializeFrom` in interface `ILaunchConfigurationTab`
  See Also:
    `ILaunchConfigurationTab.initializeFrom(ILaunchConfiguration)`

### updateProjectFromConfig

    protected void updateProjectFromConfig(ILaunchConfiguration config)

### updateAllowTerminateFromConfig

    protected void updateAllowTerminateFromConfig(ILaunchConfiguration config)

### updateConnectionFromConfig

    protected void updateConnectionFromConfig(ILaunchConfiguration config)

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `ILaunchConfigurationTab`
  See Also:
    `ILaunchConfigurationTab.dispose()`

### performApply

    public void performApply(ILaunchConfigurationWorkingCopy config)

  Specified by:
    `performApply` in interface `ILaunchConfigurationTab`
  See Also:
    `ILaunchConfigurationTab.performApply(ILaunchConfigurationWorkingCopy)`

### handleProjectButtonSelected

    protected void handleProjectButtonSelected()

  Show a dialog that lets the user select a project. This in turn provides context for the main type, allowing the user to key a main type name, or constraining the search for main types to the specified project.

### chooseJavaProject

    protected IJavaProject chooseJavaProject()

  Realize a Java Project selection dialog and return the first selected project, or null if there was none.

### getJavaProject

    protected IJavaProject getJavaProject()

  Return the IJavaProject corresponding to the project name in the project name text field, or null if the text does not match a project name.

### initializeDefaults

    protected void initializeDefaults(IJavaElement javaElement,
                                      ILaunchConfigurationWorkingCopy config)

  Initialize default settings for the given Java element

### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy config)

  Specified by:
    `setDefaults` in interface `ILaunchConfigurationTab`
  See Also:
    `ILaunchConfigurationTab.setDefaults(ILaunchConfigurationWorkingCopy)`

### initializeName

    protected void initializeName(IJavaElement javaElement,
                                  ILaunchConfigurationWorkingCopy config)

  Find the first instance of a type, compilation unit, class file or project in the specified element's parental hierarchy, and use this as the default name.

### initializeHardCodedDefaults

    protected void initializeHardCodedDefaults(ILaunchConfigurationWorkingCopy config)

  Initialize those attributes whose default values are independent of any context.

### isValid

    public boolean isValid(ILaunchConfiguration config)

  Specified by:
    `isValid` in interface `ILaunchConfigurationTab`
  See Also:
    `ILaunchConfigurationTab.isValid(ILaunchConfiguration)`

### getName

    public String getName()

  Specified by:
    `getName` in interface `ILaunchConfigurationTab`
  See Also:
    `ILaunchConfigurationTab.getName()`

### getImage

    public Image getImage()

  Specified by:
    `getImage` in interface `ILaunchConfigurationTab`
  See Also:
    `ILaunchConfigurationTab.getImage()`

### getSelectedConnector

    protected IVMConnector getSelectedConnector()

  Returns the selected connector

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

  Specified by:
    `propertyChange` in interface `IPropertyChangeListener`
  See Also:
    `IPropertyChangeListener.propertyChange(org.eclipse.jface.util.PropertyChangeEvent)`

### activated

    public void activated(ILaunchConfigurationWorkingCopy workingCopy)

  Specified by:
    `activated` in interface `ILaunchConfigurationTab`

### deactivated

    public void deactivated(ILaunchConfigurationWorkingCopy workingCopy)

  Specified by:
    `deactivated` in interface `ILaunchConfigurationTab`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.